summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author MagicMan2010-05-11 14:55:16 +0200
committer Robby Workman2010-05-11 14:55:16 +0200
commitd744aa22036a19422169ec96870f4b97e2a9f716 (patch)
tree6974607563dbed0f326b4d72304efb2bd04f5f23 /graphics
parent60c5bcbde7ad69cd3ad9d210490e9f59f1d89969 (diff)
downloadslackbuilds-d744aa22036a19422169ec96870f4b97e2a9f716.tar.gz
graphics/gphoto2: Initial import
Diffstat (limited to 'graphics')
-rw-r--r--graphics/gphoto2/README8
-rw-r--r--graphics/gphoto2/gphoto2.SlackBuild65
-rw-r--r--graphics/gphoto2/gphoto2.info8
-rw-r--r--graphics/gphoto2/slack-desc11
4 files changed, 92 insertions, 0 deletions
diff --git a/graphics/gphoto2/README b/graphics/gphoto2/README
new file mode 100644
index 0000000000..e629b558a5
--- /dev/null
+++ b/graphics/gphoto2/README
@@ -0,0 +1,8 @@
+gPhoto2 is a free, redistributable, ready to use set of digital
+camera software applications for Unix-like systems, written by a
+whole team of dedicated volunteers around the world. It supports
+more than 800 cameras.
+
+You must have libgphoto2 installed in order to build gPhoto2.
+libgphoto2 is also available at: http://www.slackbuilds.org/
+
diff --git a/graphics/gphoto2/gphoto2.SlackBuild b/graphics/gphoto2/gphoto2.SlackBuild
new file mode 100644
index 0000000000..0c63ee1752
--- /dev/null
+++ b/graphics/gphoto2/gphoto2.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for gphoto2
+
+# Written by MagicMan <MagicMan07@bluebottle.com>
+# No Guarantees. Use this SlackBuild at your own risk.
+# Public Domain
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=gphoto2
+VERSION=2.3.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PDOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xvjf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ --mandir=/usr/man \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/gphoto2/gphoto2.info b/graphics/gphoto2/gphoto2.info
new file mode 100644
index 0000000000..22aee82452
--- /dev/null
+++ b/graphics/gphoto2/gphoto2.info
@@ -0,0 +1,8 @@
+PRGNAM="gphoto2"
+VERSION="2.3.1"
+HOMEPAGE="http://www.gphoto.org/"
+DOWNLOAD="http://dl.sourceforge.net/gphoto/gphoto2-2.3.1.tar.bz2"
+MD5SUM="00da102280dd5743d8f8b80173b4dd26"
+MAINTAINER="MagicMan"
+EMAIL="MagicMan07@bluebottle.com"
+APPROVED="robw810"
diff --git a/graphics/gphoto2/slack-desc b/graphics/gphoto2/slack-desc
new file mode 100644
index 0000000000..64ebfcdb0e
--- /dev/null
+++ b/graphics/gphoto2/slack-desc
@@ -0,0 +1,11 @@
+gphoto2: gPhoto2 (Command Line Interface to libgphoto2)
+gphoto2:
+gphoto2: gPhoto2 is a free, redistributable, ready to use set of digital
+gphoto2: camera software applications for Unix-like systems, written by a
+gphoto2: whole team of dedicated volunteers around the world. It supports
+gphoto2: more than 800 cameras.
+gphoto2:
+gphoto2: Homepage: http://www.gphoto.org/
+gphoto2:
+gphoto2:
+gphoto2: